#include <bits/stdc++.h>
using namespace std;

int main(int argc, char** argv) {
	int a,b;
	char c,d;
	cin>>c>>d;
	cin>>a>>b;
	if (a>b) 
	{
		if ((a-b)>=2) 
		{
			cout<<"nemoguce";
			return 0;
		}		
		
		for (int i=0;i<a+b;i++)
		{
		if (i%2==0) cout<<c;
		else cout<<d;
		}
	}
	else if (b>a) 
	{
		if ((b-a)>=2) 
		{
			cout<<"nemoguce";
			return 0;	
		}
		
	for (int i=0;i<a+b;i++)
	{
		if (i%2==0) cout<<d;
		else cout<<c;
	}
	}
	else
	{
		
	for (int i=0;i<a+b;i++)
	{
		if (i%2==0) cout<<c;
		else cout<<d;
	}
	}
	
	return 0;
}